# setup.tcl --
# 
#	This file contains the top-level script fot the TclPro UNIX installation
#	application.
# 
# Copyright (c) 1998-1999 by Scriptics Corporation.
# All rights reserved.
# 
# RCS: @(#) $Id: setup.tcl,v 1.4 1999/02/02 23:07:47 welch Exp $

source util/version.tcl
source install/install.tcl
source install/messages.tcl
source install/unwrapsizes.tcl
source util/licio.tcl
source util/lserverInstall.tcl

namespace eval setup {
    variable installLogFile ""

    proc currTime {} {
	return [clock format [clock seconds] -format "%y%m%d-%H:%M"]
    }
    proc openLogFile {dirName} {
	if {$setup::installLogFile != ""} {
	    closeLogFile
	}
	set setup::installLogFile [open [file join $dirName INSTALL.LOG] "a"]
	setup::writeLogFile \
	    "-- Installation started on [info host] at [setup::currTime] in directory \"$dirName\"--\n"
    }
    proc writeLogFile {arg} {
	puts -nonewline $setup::installLogFile $arg
	flush $setup::installLogFile
    }
    proc closeLogFile {} {
	writeLogFile \
	    "-- Installation finished on [info host] at [setup::currTime] --\n"
	close $setup::installLogFile
	set setup::installLogFile ""
    }
}

if {[llength $argv] != 4} {
    puts stderr "This program is not meant to be invoked directly."
    exit 0
}

set tclproPlatform [lindex $argv 0]
set installImageRoot [lindex $argv 1]
set textMode [lindex $argv 2]
set tclproDestFile [lindex $argv 3]

if {$textMode == "true"} {
    source install/text.tcl
    textSetup::start
} {
    source install/gui.tcl
    gui::showWindow
}
